com.r3corda.node.services.network / NetworkMapService / FetchMapRequest

# FetchMapRequest

`class FetchMapRequest : NetworkMapRequestMessage`

### Constructors

<init> | `FetchMapRequest(subscribe: Boolean, ifChangedSinceVersion: Int?, replyTo: MessageRecipients, sessionID: Long)`

### Properties

ifChangedSinceVersion | `val ifChangedSinceVersion: Int?`
sessionID | `val sessionID: Long`
subscribe | `val subscribe: Boolean`

### Inherited Properties

replyTo | `val replyTo: MessageRecipients`

### Inherited Functions

getReplyTo | `open fun getReplyTo(networkMapCache: NetworkMapCache): MessageRecipients`